Bug 466742 - Review Request: hunspell-te - Telugu hunspell dictionaries
Review Request: hunspell-te - Telugu hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 07:47 EDT by Caolan McNamara
Modified: 2008-10-15 01:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 01:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
Modified SPEC that will use upstream Source (1.03 KB, application/octet-stream)
2008-10-13 10:38 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Caolan McNamara 2008-10-13 07:47:41 EDT
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-te.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-te-0.20050929-1.fc9.src.rpm
Description: Telugu hunspell dictionaries
Comment 1 Parag AN(पराग) 2008-10-13 10:24:17 EDT
The other way to generate hunspell dictionary from actual aspell source is as
prezip-bin -d <te.cwl >telugu.words
wordlist2hunspell telugu.words te_IN
Thus, you will be using Source tag and actual source tarball in SRPM.

What do you say? Do you still want to use BR:aspell-te way or use of actual source?
Comment 2 Parag AN(पराग) 2008-10-13 10:38:20 EDT
Created attachment 320191 [details]
Modified SPEC that will use upstream Source
Comment 3 Caolan McNamara 2008-10-13 11:00:32 EDT
Maybe we should. Might be a little bit too overly-cunning to fiddle. The above way is pretty much what I do for a future proposed hunspell-mt.
Comment 4 Parag AN(पराग) 2008-10-13 11:52:06 EDT
(In reply to comment #3)
> Maybe we should. Might be a little bit too overly-cunning to fiddle. The above
> way is pretty much what I do for a future proposed hunspell-mt.

OK.

Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=877432
+ rpmlint is silent for SRPM and for RPM.
+ source files not verified as dependent aspell-te package is already verified with upstream in its own review.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:-
1) Can you preserve timestamp of documentation files by using following in SPEC
cp -p %{_docdir}/aspell-te*/* .


APPROVED.
Comment 5 Caolan McNamara 2008-10-14 08:02:15 EDT
Do you want to be the -te maintainer ? So as to keep the same maintainer for all the Indic ones ? I don't mind either way, just giving you that option.
Comment 6 Parag AN(पराग) 2008-10-14 10:14:56 EDT
thanks for asking. Definitely I like to co-maintainer/maintainer for this package.
Comment 7 Caolan McNamara 2008-10-14 10:46:07 EDT
New Package CVS Request
=======================
Package Name: hunspell-te
Short Description: Telugu hunspell dictionary
Owners: pnemade
Branches: 
InitialCC:
Comment 8 Huzaifa S. Sidhpurwala 2008-10-15 00:25:40 EDT
cvs done
Comment 9 Parag AN(पराग) 2008-10-15 01:50:46 EDT
built on koji.
thanks all.

Note You need to log in before you can comment on or make changes to this bug.